net.sf.jasperreports.engine.util

## Class JRXmlUtils

- java.lang.Object
- - net.sf.jasperreports.engine.util.JRXmlUtils

-     public final class JRXmlUtils
      extends java.lang.Object

  XML parsing utilities.
  Version:
    $Id: JRXmlUtils.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.w3c.dom.Document` | `createDocument(org.w3c.dom.Node sourceNode)`
    `static org.w3c.dom.Document` | `createDocument(org.w3c.dom.Node sourceNode, boolean isNamespaceAware)` Creates a document having a node as root.
    `static javax.xml.parsers.DocumentBuilder` | `createDocumentBuilder()`
    `static javax.xml.parsers.DocumentBuilder` | `createDocumentBuilder(boolean isNamespaceAware)` Creates a XML document builder.
    `static org.w3c.dom.Document` | `parse(java.io.File file)`
    `static org.w3c.dom.Document` | `parse(java.io.File file, boolean isNamespaceAware)` Parses a file into a document.
    `static org.w3c.dom.Document` | `parse(org.xml.sax.InputSource is)`
    `static org.w3c.dom.Document` | `parse(org.xml.sax.InputSource is, boolean isNamespaceAware)` Parses an input source into a document.
    `static org.w3c.dom.Document` | `parse(java.io.InputStream is)`
    `static org.w3c.dom.Document` | `parse(java.io.InputStream is, boolean isNamespaceAware)` Parses an input stream into a XML document.
    `static org.w3c.dom.Document` | `parse(java.lang.String uri)`
    `static org.w3c.dom.Document` | `parse(java.lang.String uri, boolean isNamespaceAware)` Parses a document specified by an URI.
    `static org.w3c.dom.Document` | `parse(java.net.URL url)`
    `static org.w3c.dom.Document` | `parse(java.net.URL url, boolean isNamespaceAware)` Parses an URL stream as a XML document.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### parse

          public static org.w3c.dom.Document parse(org.xml.sax.InputSource is)
                                            throws JRException

      Throws:
        `JRException`

    - #### parse

          public static org.w3c.dom.Document parse(org.xml.sax.InputSource is,
                                   boolean isNamespaceAware)
                                            throws JRException

      Parses an input source into a document.
      Parameters:
        `is` - the input source
      Returns:
        the parsed document
      Throws:
        `JRException`

    - #### parse

          public static org.w3c.dom.Document parse(java.lang.String uri)
                                            throws JRException

      Throws:
        `JRException`

    - #### parse

          public static org.w3c.dom.Document parse(java.lang.String uri,
                                   boolean isNamespaceAware)
                                            throws JRException

      Parses a document specified by an URI.
      Parameters:
        `uri` - the URI
      Returns:
        the parsed document
      Throws:
        `JRException`

    - #### parse

          public static org.w3c.dom.Document parse(java.io.File file)
                                            throws JRException

      Throws:
        `JRException`

    - #### parse

          public static org.w3c.dom.Document parse(java.io.File file,
                                   boolean isNamespaceAware)
                                            throws JRException

      Parses a file into a document.
      Parameters:
        `file` - the XML file
      Returns:
        the document
      Throws:
        `JRException`

    - #### parse

          public static org.w3c.dom.Document parse(java.io.InputStream is)
                                            throws JRException

      Throws:
        `JRException`

    - #### parse

          public static org.w3c.dom.Document parse(java.io.InputStream is,
                                   boolean isNamespaceAware)
                                            throws JRException

      Parses an input stream into a XML document.
      Parameters:
        `is` - the input stream
      Returns:
        the document
      Throws:
        `JRException`

    - #### parse

          public static org.w3c.dom.Document parse(java.net.URL url)
                                            throws JRException

      Throws:
        `JRException`

    - #### parse

          public static org.w3c.dom.Document parse(java.net.URL url,
                                   boolean isNamespaceAware)
                                            throws JRException

      Parses an URL stream as a XML document.
      Parameters:
        `url` - the URL
      Returns:
        the document
      Throws:
        `JRException`

    - #### createDocumentBuilder

          public static javax.xml.parsers.DocumentBuilder createDocumentBuilder()
                                                                         throws JRException

      Throws:
        `JRException`

    - #### createDocumentBuilder

          public static javax.xml.parsers.DocumentBuilder createDocumentBuilder(boolean isNamespaceAware)
                                                                         throws JRException

      Creates a XML document builder.
      Returns:
        a XML document builder
      Throws:
        `JRException`

    - #### createDocument

          public static org.w3c.dom.Document createDocument(org.w3c.dom.Node sourceNode)
                                                     throws JRException

      Throws:
        `JRException`

    - #### createDocument

          public static org.w3c.dom.Document createDocument(org.w3c.dom.Node sourceNode,
                                            boolean isNamespaceAware)
                                                     throws JRException

      Creates a document having a node as root.
      Parameters:
        `sourceNode` - the node
      Returns:
        a document having the specified node as root
      Throws:
        `JRException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com